{
  "name": "team-planner",
  "version": "1.0.0",
  "private": true,
  "workspaces": [
    "backend",
    "frontend"
  ],
  "scripts": {
    "dev": "concurrently -n be,fe -c blue,green \"npm run dev:backend\" \"npm run dev:frontend\"",
    "dev:backend": "npm run dev -w backend",
    "dev:frontend": "npm run dev -w frontend",
    "lint": "npm run -w backend lint && npm run -w frontend lint",
    "build": "npm run build:backend && npm run build:frontend",
    "build:backend": "npm run build -w backend",
    "build:frontend": "npm run build -w frontend",
    "db:up": "docker-compose up -d postgres",
    "db:down": "docker-compose down"
  },
  "devDependencies": {
    "concurrently": "^9.1.2"
  },
  "dependencies": {
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.3"
  }
}
